.TH libertine-container-manager "1" " February 2017" "libertine-container-manager 1.6" "User Commands"

.SH NAME
libertine-container-manager \- Manage Libertine containers for supporting legacy X applications on Lomiri

.SH SYNOPSIS
.B libertine-container-manager
[ -v | -q ]
.I command
[
.I command_options
]
.br
.B libertine-container-manager
-h
.br
.B libertine-container-manager
.I command
-h

.SH DESCRIPTION
libertine-container-manager is a utility for managing Libertine containers used to support legacy X applications on Lomiri.

It is possible to create new containers, delete containers, update containers, install new packages in a container, remove a package from a container, search for possible packages to install, and list all of the current containers.

.SH OPTIONS
.TP
.BR \-q ", " \-\-quiet ""
disable all non-vital output
.TP
.BR \-v ", " \-\-verbose ""
enable debug output
.TP
.BR \-h ", " \-\-help ""
Print a summary of the command line options and exit.

.SH COMMAND OVERVIEW
.TP
.B libertine-container-manager create [options]
Create a new Libertine container.
.TP
.B libertine-container-manager destroy [options]
Destroy (delete) an existing Liberine container.
.TP
.B libertine-container-manager install-package [options]
Install a package or packages inside an existing Libertine container.
.TP
.B libertine-container-manager remove-package [options]
Remove an installed package or packages inside an existing Libertine container.
.TP
.B libertine-container-manager search-cache [options]
Searches the apt cache inside an existing Libertine container for matches based on the given search string.
.TP
.B libertine-container-manager update [options]
Updates the packages inside an existing Libertine container.  Also updates the container's locale and installs necessary language packs if the host's locale has changed.
.TP
.B libertine-container-manager list [options]
Lists all existing Libertine containers.
.TP
.B libertine-container-manager list-apps [options]
Lists available app launchers in a container.
.TP
.B libertine-container-manager exec [options]
Runs an arbitrary command in the specified Libertine container.
.TP
.B libertine-container-manager configure [options]
Configures various options in the specified Libertine container.
.TP
.B libertine-container-manager set-default [options]
Sets default container.
.TP
.B libertine-container-manager restart [options]
Restarts a frozen LXC or LXD Libertine container.

.SH COMMAND REFERENCE
.TP
.B libertine-container-manager create [options]
.TP
.SS Options:
.BR \-h ", " \-\-help  ""
.RS 14
Prints help for this command and exits.
.RE
.IP
.BR \-i " ID, " \-\-id " ID" ""
.RS 14
Container identifier of form ([a-z0-9][a-z0-9+.-]+). Required.
.RE
.IP
.BR \-t " TYPE, " \-\-type " TYPE" ""
.RS 14
Type of Libertine container to create. Either 'lxd', 'lxc' or 'chroot'.
.RE
.IP
.BR \-\-password " password" ""
.RS 14
User's password for creating LXC containers. Intended for testing only.
.RE
.IP
.BR \-d " DISTRO, " \-\-distro " DISTRO" ""
.RS 14
Ubuntu distro series to create.
.RE
.IP
.BR \-n " NAME, " \-\-name " NAME" ""
.RS 14
User friendly container name.
.RE
.IP
.BR \-\-force ""
.RS 14
Force installation of unsupported distro.
.RE
.IP
.BR \-m ", " \-\-multiarch ""
.RS 14
Enable i386 support.
.RE
.TP

.B libertine-container-manager destroy [options]
.TP
.SS Options:
.BR \-h " , " \-\-help ""
.RS 14
Prints help for this command and exits.
.RE
.IP
.BR \-i " ID, " \-\-id " ID" ""
.RS 14
Container identifier. Default container is used if omitted.
.RE
.IP
.BR \-f " ID, " \-\-force " ID" ""
.RS 14
Force destroy. Forces running containers to stop before destruction.
.RE
.TP

.B libertine-container-manager install-package [options]
.TP
.SS Options:
.BR \-h ", " \-\-help ""
.RS 14
Prints help for this command and exits.
.RE
.IP
.BR \-i " ID, " \-\-id " ID" ""
.RS 14
Container identifier. Default container is used if omitted.
.RE
.IP
.BR \-p " PACKAGE [PACKAGE ...], " \-\-package " PACKAGE [PACKAGE ...]" ""
.RS 14
Name of package or full path to a Debian package. Multiple packages can entered, separated by a space. Required.
.RE
.IP
.BR \-n ", " \-\-no-dialog ""
.RS 14
No dialog mode. Use text-based frontend during debconf interactions.
.RE
.TP

.B libertine-container-manager remove-package [options]
.TP
.SS Options:
.BR \-h ", " \-\-help ""
.RS 14
Prints help for this command and exits.
.RE
.IP
.BR \-i " ID, " \-\-id " ID" ""
.RS 14
Container identifier. Default container is used if omitted.
.RE
.IP
.BR \-p " PACKAGE [PACKAGE ...], " \-\-package " PACKAGE [PACKAGE ...]" ""
.RS 14
Name of package to remove. Multiple packages can entered, separated by a space. Required.
.RE
.IP
.BR \-n ", " \-\-no-dialog ""
.RS 14
No dialog mode. Use text-based frontend during debconf interactions.
.RE
.TP

.B libertine-container-manager search-cache [options]
.TP
.SS Options:
.BR \-h ", " \-\-help ""
.RS 14
Prints help for this command and exits.
.RE
.IP
.BR \-i " ID, " \-\-id " ID" ""
.RS 14
Container identifier. Default container is used if omitted.
.RE
.IP
.BR \-s " SEARCH_STRING, " \-\-search-string " SEARCH_STRING" ""
.RS 14
String to search for in the package cache. Required.
.RE
.TP

.B libertine-container-manager update [options]
.TP
.SS Options:
.BR \-h ", " \-\-help ""
.RS 14
Prints help for this command and exits.
.RE
.IP
.BR \-i " ID, " \-\-id " ID" ""
.RS 14
Container identifier. Default container is used if omitted.
.RE
.TP

.B libertine-container-manager list
.TP
.SS Options:
.BR \-h ", " \-\-help ""
.RS 14
Prints help for this command and exits.
.RE
.TP

.B libertine-container-manager list-apps [options]
.TP
.SS Options:
.BR \-h ", " \-\-help ""
.RS 14
Prints help for this command and exits.
.RE
.IP
.BR \-i " ID, " \-\-id " ID" ""
.RS 14
Container identifier. Default container is used if omitted.
.RE
.IP
.BR \-j ", " \-\-json ""
.RS 14
Uses JSON output format.
.RE
.TP

.B libertine-container-manager exec [options]
.TP
.SS Options:
.BR \-h ", " \-\-help ""
.RS 14
Prints help for this command and exits.
.RE
.IP
.BR \-i " ID, " \-\-id " ID" ""
.RS 14
Container identifier. Default container is used if omitted.
.RE
.IP
.BR \-C " COMMAND, " \-\-command " COMMAND" ""
.RS 14
The command to be executed.
.RE
.TP

.B libertine-container-manager configure [options]
.TP
.SS Options:
.BR \-h ", " \-\-help ""
.RS 14
Prints help for this command and exits.
.RE
.IP
.BR \-i " ID, " \-\-id " ID" ""
.RS 14
Container identifier. Default container is used if omitted.
.RE
.IP
.BR \-m ", " \-\-multiarch ""
.RS 14
Enable i386 support.
.RE
.IP
.BR \-a " {add,remove}, " \-\-archive " {add,remove}" ""
.RS 14
Adds or removes an archive in the specified container.
.RE
.IP
.BR \-n " ARCHIVE_NAME, " \-\-archive-name " ARCHIVE_NAME" ""
.RS 14
Archive to be added or removed. Examples: 'deb http://myserver/path/to/repo stable myrepo', ppa:user/repository, multiverse
.RE
.IP
.BR \-k " PUBLIC_KEY_FILE, " \-\-public-key-file " PUBLIC_KEY_FILE" ""
.RS 14
File containing public key used to sign new archive.
.RE
.IP
.BR \-b " {add,remove}, " \-\-bind-mount " {add,remove}" ""
.RS 14
Adds or removes a bind-mount in the specified container.
.RE
.IP
.BR \-p " MOUNT_PATH, " \-\-mount-path " MOUNT_PATH" ""
.RS 14
Absolute host path to be added or removed.
.RE
.IP
.BR \-f " {enable,disable}, " \-\-freeze " {enable,disable}" ""
.RS 14
Enable or disable freezing LXC/LXD containers when not in use.
.RE
.TP

.B libertine-container-manager set-default [options]
.TP
.SS Options:
.BR \-h ", " \-\-help ""
.RS 14
Prints help for this command and exits.
.RE
.IP
.BR \-i " ID, " \-\-id " ID" ""
.RS 14
Container identifier.
.RE
.IP
.BR \-c ", " \-\-clear ""
.RS 14
Clear default container.
.RE
.TP

.B libertine-container-manager restart [options]
.TP
.SS Options:
.BR \-h ", " \-\-help ""
.RS 14
Prints help for this command and exits.
.RE
.IP
.BR \-i " ID, " \-\-id " ID" ""
.RS 14
Container identifier.
.RE
.TP
.BR

.SH ENVIRONMENT VARIABLES
.TP
.BR LIBERTINE_DEBUG
Overrides verbosity arguments. 0 for quiet, 1 for standard, 2 for debug.

.SH SEE ALSO
.UR https://launchpad.net/libertine
.BR https://launchpad.net/libertine
